﻿/* Ici sont regroupés tous les styles des boxes */

/* classes existantes : box-default (blanche),
                        box-primary (couleur principale de l'association),
                        box-success (verte),
                        box-alert (rouge),
                        box-warning (orange),
                        box-reverse (noire) */

.box{
	margin-bottom:15px;  padding:15px;
    box-shadow : 3px 3px 0 rgba(0, 0, 0, 0.15);
}

.box:empty {
    display:none;
}

.box-alert, .box-primary, .box-reverse, .box-success, .box-warning{
	color:white;
}

/* Gestion d'un bug d'affichage sur la page RechercherAdherent */
.bootstrap-datetimepicker-widget {
    background-color: white;
    color: #333;
}

.box-alert a, .box-primary a, .box-success a, .box-warning a{
	color:white;
}
.box-reverse a{
	color:grey;
}

.box .link a{
	font-weight:bold; display:block;
}

.box .link:before {
    content: "\e258";
    font-family: 'Glyphicons Halflings', sans-serif;
    float: left;
    margin-right: 5px;
}

.box .link:before {
    content: "\e258";
    font-family: 'Glyphicons Halflings', sans-serif;
    float: left;
    margin-right: 5px;
}

.box-default .link:hover::before {
    color:#E3004F;
}

.box-success .link:hover::before {
    color: white;
}

.box-primary .link:hover::before {
    color: white;
}

.box-warning .link:hover::before {
    color: white;
}

.box-alert .link:hover::before {
    color: white;
}

.box-reverse .link:hover::before {
    color: white;
}

.box-alert a:not(.button):hover{
	color:#F5C0C6 !important;
}

.box-success a:not(.button):hover {
    color:#BEE2C8 !important;
}

.box-primary a:not(.button):hover{
	color:#ffbdd4 !important;
}

.box-warning a:not(.button):hover{
	color:#F9D2B0 !important;
}

.box-reverse a:not(.button):hover{
	color:white !important;
}

.box .title{
	font-size:1.2em;
	margin-bottom:10px
}

.box .title .glyphicon, .box .title .icon{
	margin-right:5px
}

.box-default{
	background-color:white;
}

.box-primary{
	background-color:#0E3083; 
}

.box-reverse{
	background-color:#DF4A5B; 
}

.box-alert{
	background-color:#DF4A5B;
}

.box-success {
    background-color:#70A278;
}

.box-warning{
	background-color:#E27425;
}

.box>.action-icon{
	font-size:1.2em;
	position:absolute; right:18px; top:18px; opacity:0; transition:0.5s
}

.box:hover>.action-icon,
.box:active>.action-icon,
.box:focus>.action-icon{
	opacity:1
}

.box-photo{
	padding:0;
    margin-bottom:15px;
    /*cursor:pointer;*/
    transition: opacity 0.5s
}

.box-photo .action-icon{
	color:white;
}

.box-photo .photo{
	width:100%; margin-bottom:0
}

/*.box-photo:hover,
.box-photo:active,
.box-photo:focus{
	opacity:0.7
}*/

.box .article{
	border-width:0 0 0 3px; border-style:solid;  padding:0 0 0 5px; margin-bottom:15px
}

.box .article .title{
	font-size:1.5em;
}

.box .article:last-child {
    margin-bottom:0
}

.box .article p:last-child {
    margin-bottom:0
}

.box-primary .article, .box-alert .article, .box-success .article, .box-warning .article, .box-reverse .article{
	border-color:white;
}

.box-default .article{
	border-color:#0E3083;
}

/* when a box is inside another box #boxception */

.box-default .box.box-default { /* les boxes normales prennent toute la largeur */
    width: calc(100% + 30px);
    margin: 0 -15px;
    box-shadow:none;
    /*padding-bottom:50px;*/
}
.box-default .box-default:last-of-type { /* reset le padding de la dernière box normale */
    padding-bottom:15px;
}
.box-default .box-default:last-child { /* si le dernier élément est une box normale, la coller au bottom */
    margin-bottom:-15px;
}
.box-default>.box-default:first-child { /* si le premier élément est une box normale, la coller au top */
    margin-top:-15px;
}
.box-default .box:not(.box-default)+.box-default { /* si une box normale est précédée d'une box spéciale, instaurer une marge entre les deux */
    /*margin-top:25px;*/
}

/* séparation en zigzag (trouvée sur http://tympanus.net/Development/SectionSeparators/) */
/*.box-default .box + .box-default::before {
    top: -50px;
    background-image: linear-gradient(340deg, white 25%, transparent 25%), linear-gradient( 20deg, white 25%, transparent 25%);
    background-position: 50%;
    position: absolute;
    content: '';
    pointer-events: none;
    right: 0;
    left: 0;
    z-index: 10;
    display: block;
    height: 50px;
    background-size: 100px 100%;
}*/

.box-default .box-default:nth-of-type(even) { /* change la couleur d'une box normale sur deux */
    background-color:#f0f0f0;
}
.box-default .box + .box-default:nth-of-type(even)::before { /* change la couleur de la séparation */
    background-image: linear-gradient(340deg, #f0f0f0 25%, transparent 25%), linear-gradient( 20deg, #f0f0f0 25%, transparent 25%);
}

.box-default .obligatoire_label + .box-default { /* change la couleur d'une box normale précédée par un libellé de champs obligatoires */
    background-color: white;
}

.box-alert .close, .box-success .close, .box-warning .close, .box-reverse .close {
    color: #757575;
    font-size: 24px;
    line-height: 24px;
    opacity: 1;
    text-shadow: none;
}